<?php
/**
 * Floating Single Ad
 *
 * @package   Floating Single Ad
 * @author    Pete Williams <support@preneurgroup.com>
 * @license   GPL-2.0+
 * @link      http://preneurmarketing.com/
 * @copyright 2013 Preneur Marketing
 *
 * @wordpress-plugin
 * Plugin Name:   Floating Single Ad
 * Plugin URI:    http://preneurmarketing.com/
 * Description:   A floating single ad plugin for your wordpress site
 * Version:       1.0.1
 * Author:        Pete Williams
 * Author URI:    support@preneurgroup.com
 * Developer:	  Jon-Michael Lastimosa
 * Developer URI: http://jon-michael.lastimosa.com.ph
 * Text Domain:   social-stitch
 * License:       GPL-2.0+
 * License URI:   http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:   /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

require_once( plugin_dir_path( __FILE__ ) . 'class-floating-single-ad.php' );
require_once( plugin_dir_path( __FILE__ ) . 'class-floating-single-ad-admin.php' );

if (is_admin()) {
	require_once( plugin_dir_path( __FILE__ ) . 'includes/metabox/metaboxes.php' );
}

/*
 * Register hooks that are fired when the plugin is activated or deactivated.
 * When the plugin is deleted, the uninstall.php file is loaded.
 */
register_activation_hook( __FILE__, array( 'Floating_Single_Ad', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'Floating_Single_Ad', 'deactivate' ) );

add_action( 'plugins_loaded', array( 'Floating_Single_Ad', 'get_instance' ) );
add_action( 'plugins_loaded', array( 'Floating_Single_Ad_Admin', 'get_instance' ) );