<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   Floating Single Ad
 * @author    Pete Williams <support@preneurgroup.com>
 * @license   GPL-2.0+
 * @link      http://preneurmarketing.com/
 * @copyright 2013 Preneur Marketing
 */
?>

<div class="wrap">

	<?php screen_icon(); ?>
	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>
	
    <?php $this->option = get_option( 'fsa_global_option' ) ? get_option( 'fsa_global_option' ) : $this->default_options();  ?>
    
        <form method="post" action="<?php echo add_query_arg( array( 'post_type' => 'fsa', 'page' => $this->plugin_slug, 'fsa-plugin-save' => true ), admin_url( 'edit.php' ) ); ?>">
        <?php wp_nonce_field( 'fsa_save_options', 'fsa_save_options' ); ?>
        <p style="margin:0 0 20px;">&nbsp;  </p> 
        <table class="form-table">
        <tr valign="top">
        	<th><p>Show on: </p> </th>
            <td>
            <p><?php $fsa_show_homepage = isset( $this->option['fsa_show_homepage'] ) ? $this->option['fsa_show_homepage'] : 0; ?>
            <input id="fsa_show_homepage" type="checkbox" name="_fsa_data[fsa_show_homepage]" value="<?php echo $fsa_show_homepage; ?>" <?php checked( $fsa_show_homepage ); ?> /> <label for="fsa_show_homepage"><?php _e( 'Homepage', 'fsa' ); ?></label></p>
            <p><?php $fsa_show_post = isset( $this->option['fsa_show_post'] ) ? $this->option['fsa_show_post'] : 0; ?>
            <input id="fsa_show_post" type="checkbox" name="_fsa_data[fsa_show_post]" value="<?php echo $fsa_show_post; ?>" <?php checked( $fsa_show_post ); ?> /> <label for="fsa_show_post"><?php _e( 'Posts', 'fsa' ); ?></label></p>
            <p><?php $fsa_show_page = isset( $this->option['fsa_show_page'] ) ? $this->option['fsa_show_page'] : 0; ?>
            <input id="fsa_show_page" type="checkbox" name="_fsa_data[fsa_show_page]" value="<?php echo $fsa_show_page; ?>" <?php checked( $fsa_show_page ); ?> /> <label for="fsa_show_page"><?php _e( 'Pages', 'fsa' ); ?></label></p>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row" align="right">Width</th>
            <td>
            <input name="_fsa_data[fsa_width]" type="text" id="fsa_width"
            value="<?php echo isset( $this->option['fsa_width'] ) ? $this->option['fsa_width'] : 0; ?>" />
            px</td>
        </tr>
        <tr valign="top">
            <th scope="row" align="right">Height</th>
            <td>
            <input name="_fsa_data[fsa_height]" type="text" id="fsa_height"
            value="<?php echo isset( $this->option['fsa_height'] ) ? $this->option['fsa_height'] : 0; ?>" />
            px</td>
        </tr>
        <tr valign="top">
            <th scope="row" align="right">Position</th>
            <td>
            <select name="_fsa_data[fsa_position]" id="fsa_position" style="width:158px;">
              <option value="top-left" <?php if((isset( $this->option['fsa_position'] ) ? $this->option['fsa_position'] : '' ) == 'top-left'){echo 'selected="selected"';} ?>>top left</option>
              <option value="top-right" <?php if((isset( $this->option['fsa_position'] ) ? $this->option['fsa_position'] : '' ) == 'top-right'){echo 'selected="selected"';} ?>>top right</option>
              <option value="bottom-left" <?php if((isset( $this->option['fsa_position'] ) ? $this->option['fsa_position'] : '' ) == 'bottom-left'){echo 'selected="selected"';} ?>>bottom left</option>
              <option value="bottom-right" <?php if((isset( $this->option['fsa_position'] ) ? $this->option['fsa_position'] : '' ) == 'bottom-right'){echo 'selected="selected"';} ?>>bottom right</option>  
            </select>
            </td>
        </tr>
        
        <tr valign="top" id="fsa_top_margin" style="display:none;">
            <th scope="row" align="right">Top Margin</th>
            <td>
            <input name="_fsa_data[fsa_top_margin]" type="text" id="fsa_top_margin"
            value="<?php echo isset( $this->option['fsa_top_margin'] ) ? $this->option['fsa_top_margin'] : 0; ?>" />
            px</td>
        </tr>
        
        <tr valign="top" id="fsa_left_margin" style="display:none;">
            <th scope="row" align="right">Left Margin</th>
            <td>
            <input name="_fsa_data[fsa_left_margin]" type="text" id="fsa_left_margin"
            value="<?php echo isset( $this->option['fsa_left_margin'] ) ? $this->option['fsa_left_margin'] : 0; ?>" />
            px</td>
        </tr>
        
        <tr valign="top" id="fsa_right_margin" style="display:none;">
            <th scope="row" align="right">Right Margin</th>
            <td>
            <input name="_fsa_data[fsa_right_margin]" type="text" id="fsa_right_margin"
            value="<?php echo isset( $this->option['fsa_right_margin'] ) ? $this->option['fsa_right_margin'] : 0; ?>" />
            px</td>
        </tr>
        
        <tr valign="top" id="fsa_bottom_margin" style="display:none;">
            <th scope="row" align="right">Bottom Margin</th>
            <td>
            <input name="_fsa_data[fsa_bottom_margin]" type="text" id="fsa_bottom_margin"
            value="<?php echo isset( $this->option['fsa_bottom_margin'] ) ? $this->option['fsa_bottom_margin'] : 0; ?>" />
            px</td>
        </tr>
        
        </table> 
        
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="fsa_show_homepage,fsa_show_page,fsa_show_post,fsa_width,fsa_height,fsa_position,fsa_top_margin,fsa_left_margin,fsa_right_margin,fsa_bottom_margin" />
        
        <p class="submit">
        <input id="submit" class="button button-primary" type="submit" value="<?php _e('Save Changes') ?>"  name="submit"/>
        </p> 
        </form>

</div>
