<?php
/**
 * Represents the view for the public-facing component of the plugin.
 *
 * This typically includes any information, if any, that is rendered to the
 * frontend of the theme when the plugin is activated.
 *
 * @package   Floating Single Ad
 * @author    Pete Williams <support@preneurgroup.com>
 * @license   GPL-2.0+
 * @link      http://preneurmarketing.com/
 * @copyright 2013 Preneur Marketing
 */
?>

<!-- This file is used to markup the public facing aspect of the plugin. -->

<?php 
		$this->option = get_option( 'fsa_global_option' ) ? get_option( 'fsa_global_option' ) : $this->default_options();  

        $fsa_width 			= $this->option['fsa_width'];
		$fsa_height 		= $this->option['fsa_height'];
		$fsa_position 		= $this->option['fsa_position'];
		$fsa_top_margin 	= $this->option['fsa_top_margin'];
		$fsa_left_margin 	= $this->option['fsa_left_margin'];
		$fsa_right_margin 	= $this->option['fsa_right_margin'];
		$fsa_bottom_margin 	= $this->option['fsa_bottom_margin'];
		
		$fsa_filter_query = $this->fsa_filter_query();
		
		$args = array(
			'post_type'=> 'fsa',
			'posts_per_page' => '1',
			'orderby' => 'rand',
			'post__not_in' => $fsa_filter_query
		);
		query_posts( $args );
		
		while ( have_posts() ) : the_post();
		
		$fsa_impression_count = get_post_meta( get_the_ID() , '_fsa_impression_count' , true ); 
		$fsa_impression_count = intval( $fsa_impression_count );	
		update_post_meta( get_the_ID(), '_fsa_impression_count', (intval($fsa_impression_count)+1));
		
		$fsa_click_count = get_post_meta( get_the_ID() , '_fsa_click_count' , true ); 
		$fsa_click_count = intval( $fsa_click_count );
		
		add_post_meta(1, '_fsa_the_post_id', 0, TRUE);
		update_post_meta( 1, '_fsa_the_post_id', get_the_ID());

		?>
					<div id="popup1" class="<?php echo $fsa_position;?> popup <?php echo 'fsa-' . get_the_ID(); ?>" style="<?php if(!empty($fsa_width)){ ?>width:<?php echo $fsa_width; ?>px;<?php } ?>
                    <?php if(!empty($fsa_height)){ ?>height:<?php echo $fsa_height; ?>px; 
                    <?php } ?>
                    <?php 
					// checking first if there's an admin bar.
					$user_ID = get_current_user_id();
					$user_admin_bar = get_user_meta( $user_ID, 'show_admin_bar_front');
						if ( $user_admin_bar ) {
							$fsa_top_margin = $fsa_top_margin + 28; 
                        } ?>
                    <?php if($fsa_position == 'top-left') {
						echo 'top:'.$fsa_top_margin.'px;';
						echo 'left:'.$fsa_left_margin.'px;';
					}?>      
                    <?php if($fsa_position == 'top-right'){
						echo 'top:'.$fsa_top_margin.'px;';
						echo 'right:'.$fsa_right_margin.'px;';
					}?>   
                    <?php if($fsa_position == 'bottom-left') {
						echo 'bottom:'.$fsa_bottom_margin.'px;';
						echo 'left:'.$fsa_left_margin.'px;';
					}?>
                    <?php if($fsa_position == 'bottom-right') {
						echo 'bottom:'.$fsa_bottom_margin.'px;';
						echo 'right:'.$fsa_right_margin.'px;';
					}?>             
                    ">
                    <?php $ad_url = get_post_meta( get_the_ID() , '_fsa_ad_url' , true ); ?>
                    <?php if($ad_url != '') { ?>
					   <a href="<?php echo $ad_url; ?>" target="_blank" id="fsa_click_counter" onclick="loadurl('<?php echo plugins_url( 'click-counter.php' , __FILE__ ); ?>')"><?php the_post_thumbnail('full'); ?>
					   <?php the_content();	
					    ?> </a>

					<?php } else { ?>
                       <?php the_post_thumbnail('full'); ?>
					   <?php the_content(); } ?>
                       
					</div>
		<div id="bg"></div> 
		
		<?php 
		endwhile;

		wp_reset_query();

?>